std::span::begin,std::span::cbegin(3)

NAME
std::span::begin,std::span::cbegin - std::span::begin,std::span::cbegin

Synopsis
   constexpr iterator begin() const noexcept; (1) (since C++20)
   constexpr const_iterator cbegin() const noexcept; (2) (since C++23)
   Returns an iterator to the first element of the span.
   If the span is empty, the returned iterator will be equal to end().
   range-begin-end.svg

Parameters
   (none)

Return value
   Iterator to the first element.

Complexity
   Constant.

Example
// Run this code
 #include <iostream>
 #include <span>
 void print(std::span<const int> array)
 {
     std::cout << "array = ";
     for (auto it = array.begin(); it != array.end(); ++it)
         std::cout << *it << ' ';
     std::cout << '\n';
 }
 void set_first_element(std::span<int> sp, int new_value)
 {
     if (!sp.empty())
     {
         std::cout << "old *begin = " << *sp.begin() << '\n';
         *sp.begin() = new_value;
         std::cout << "new *begin = " << *sp.begin() << '\n';
     }
 }
 int main()
 {
     int array[]{1, 3, 4, 5};
     print(array);
     set_first_element(array, 2);
     print(array);
 }

Output:
 array = 1 3 4 5
 old *begin = 1
 new *begin = 2
 array = 2 3 4 5

See also
   end returns an iterator to the end
   cend (public member function)
   (C++23)
   begin
   cbegin returns an iterator to the beginning of a container or array
   (C++11) (function template)
   (C++14)